NodeRingsDocs

Duplicate Game Server Template

POST
/v1/game-server-templates/{id}:duplicate
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring
name?string

Response Body

application/json

curl -X POST "https://api.noderings.com/v1/game-server-templates/{id}:duplicate" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "name": "string"}'
{
  "id": "string",
  "platformId": "string",
  "catalogKey": "string",
  "name": "string",
  "icon": "string",
  "nestId": 0,
  "eggId": 0,
  "suggestedNestId": 0,
  "suggestedEggId": 0,
  "startup": "string",
  "dockerImage": "string",
  "versionVariable": "string",
  "confirmed": true,
  "hidden": true,
  "matchStatus": "GAME_SERVER_MATCH_STATUS_UNSPECIFIED"
}